Jump to content
M3rcury

[Solved] Updaten van 1.2.5.0 naar 1.5.1

Recommended Posts

Hallo allemaal,

 

Na lange tijd Prestashop 1.2.5.0 gebruikt te hebben, wordt het voor ons ook tijd om te updaten naar een nieuwere versie. Aangezien ik standaard thema van Prestashop 1.5.1 erg netjes vind (om van daaruit verder te werken) en dit de nieuwste versie is, wilde ik hier naartoe updaten.

 

Opzich is het aardig gelukt om naar versie 1.5.1 te updaten, maar helaas zitten er een hoop fouten in, zoals te zien is op: http://www.wax-on.nl/Prestaupdate (dit was natuurlijk te verwachten)

 

Na 2.5 jaar helemaal geen updates uit te voeren, zou het misschien makkelijk zijn om eigenlijk een verse instalatie van prestashop te gebruiken. Hierbij zou ik dan alleen wel mijn klantgegevens, producten en oude bestellingen willen importeren in de nieuwe database.

 

Het simpel exporteren van de producten, categorieën en adressen werkt natuurlijk niet, omdat er een aantal kolommen bij zijn gekomen sinds 1.2.5.0 en per kolom apart (bijvoorbeeld adressen) wil hij ze niet weergeven in de back-office.

 

Hebben jullie een idee hoe ik dit moet oplossen of wordt het simpelweg de fouten uit de voorgaande link zoeken en oplossen?

 

Edit: Grootste deel van de stijlfouten wordt opgelost door het aanpassen van de standaard image size en positionering van de modules. Ik denk dat mijn update dus geslaagd is en ik iets te voorbarig ben geweest met een topic aanmaken :-)

Edited by M3rcury (see edit history)

Share this post


Link to post
Share on other sites

Heel toevallig heb ik zelf een paar dagen geleden een update van 1.2.5 naar 1.5.1 getest. Dat ging tot mijn verrassing behoorlijk goed.

 

Je problemen lijken meer te maken hebben met de default theme in PS 1.5. Heb je soms bestanden van je oude theme overgezet naar de nieuwe theme?

 

Zo niet, zet dan onder "Advanced Parameters-->Performance" de "Force compile" optie aan en doe en page refresh op de homepage van je webshop.. En check ook of er geen fouten gemeld worden onder "Advanced Parameters-->Configuration Information". Het kan namelijk zijn dat niet alle mappen en bestanden de juiste rechten hebben.

 

Een verse installatie met import van data kan ook, maar dat kan weer andere problemen met zich meebrengen (en bovendien extra kosten).

Share this post


Link to post
Share on other sites

Heel toevallig heb ik zelf een paar dagen geleden een update van 1.2.5 naar 1.5.1 getest. Dat ging tot mijn verrassing behoorlijk goed.

 

Je problemen lijken meer te maken hebben met de default theme in PS 1.5. Heb je soms bestanden van je oude theme overgezet naar de nieuwe theme?

 

Zo niet, zet dan onder "Advanced Parameters-->Performance" de "Force compile" optie aan en doe en page refresh op de homepage van je webshop.. En check ook of er geen fouten gemeld worden onder "Advanced Parameters-->Configuration Information". Het kan namelijk zijn dat niet alle mappen en bestanden de juiste rechten hebben.

 

Een verse installatie met import van data kan ook, maar dat kan weer andere problemen met zich meebrengen (en bovendien extra kosten).

 

Zoals ik in de eerste post in mijn edit ook al had gezegd: Na het aanpassen van de standaard image size is grotendeels van de opmaak fouten al weg. Positionering van de modules stond natuurlijk nog op de oude opmaak, wat ook voor wat problemen zorgde, maar ook dat is nu aangepast. Enige echte "grote" probleem na de update is de homefeatured products, maar dat lijkt mij gewoon een aanpassing in de css, dus dat moet prima te doen zijn.

 

Update is bij mij dus geslaagd, en ik ben iets te voorbarig geweest met een topic aanmaken :-)

 

De rare tekens in de teksten ligt aan een fout in de export van de database, dus dat is mijn eigen schuld.

Edited by M3rcury (see edit history)

Share this post


Link to post
Share on other sites

Ik heb de titel aangepast en er [solved] bij gezet. Graag de volgende keer zelf even de topictitel aanpassen, dat houdt het forum overzichtelijk :)

  • Like 1

Share this post


Link to post
Share on other sites

Ik heb een shop gebouwd op basis van versie 1.3.3.

Is het echt nodig om te updaten naar de nieuwste versie?

Gaat het dan om veiligheid?

Ben wel benieuwd, want ik zie er tegenop om zomaar een update te maken.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More